commit:     bd87a494675a7ef194d6980a30afb8e944328156
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 11 20:47:46 2018 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Sat Aug 11 20:50:44 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bd87a494

x11-base/xorg-server: Version bump to 1.20.1

 x11-base/xorg-server/Manifest                  |   1 +
 x11-base/xorg-server/xorg-server-1.20.1.ebuild | 220 +++++++++++++++++++++++++
 2 files changed, 221 insertions(+)

diff --git a/x11-base/xorg-server/Manifest b/x11-base/xorg-server/Manifest
index ff53c727d5c..f874c858676 100644
--- a/x11-base/xorg-server/Manifest
+++ b/x11-base/xorg-server/Manifest
@@ -1,2 +1,3 @@
 DIST xorg-server-1.19.5.tar.bz2 5965044 BLAKE2B 
23375793ea4459a962f412440e307081ce2acd3c646e5db4d1bfac20e267bcbb1752ba8f6de66df06d25eaf92d1b55082a80eced0d44c257a757d5926ca6a7f3
 SHA512 
928dea5850b98cd815004cfa133eca23cfa9521920c934c68a92787f2cae13cca1534eee772a4fb74b8ae8cb92662b5d68b95b834c8aa8ec57cd57cb4e5dd45c
 DIST xorg-server-1.20.0.tar.bz2 6096838 BLAKE2B 
34ee6d6dbbde54d54e082a0791e85ad52d728e239a7d8fadb75ebcbdbaab8752b90ca6d075f096d971db7ec68ce4ecac5c70fcf536ce23c20b8dce8f32e2c046
 SHA512 
1489e8511c9da682ef0460182dfeeddd241c72d4ef4d206d9706f1e39572c09953df851fab18cefb65a1ee4c6710c6ba13c63c9c9fc0bc1b5f12c50780412cde
+DIST xorg-server-1.20.1.tar.bz2 6103772 BLAKE2B 
ac71d603cef8efe814275b658d4a76e231eb0fda14dd6e7177509bf147feaf37657789d8fc83f8017435c84760d7be357f203a8346aac612a53083cf413f7d75
 SHA512 
ef2b93a61683c8ca8d1f14b771e70db65ba119a73db8a46e7cdbf2ac2243e3f4b2732068eb5aa5d7b76f460db995a3c04390870198a5210ec30df4360ad9f94b

diff --git a/x11-base/xorg-server/xorg-server-1.20.1.ebuild 
b/x11-base/xorg-server/xorg-server-1.20.1.ebuild
new file mode 100644
index 00000000000..f05c50dc7bd
--- /dev/null
+++ b/x11-base/xorg-server/xorg-server-1.20.1.ebuild
@@ -0,0 +1,220 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+XORG_EAUTORECONF=yes
+XORG_DOC=doc
+inherit xorg-2 multilib versionator flag-o-matic
+EGIT_REPO_URI="https://anongit.freedesktop.org/git/xorg/xserver.git";
+
+DESCRIPTION="X.Org X servers"
+SLOT="0/${PV}"
+if [[ ${PV} != 9999* ]]; then
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux"
+fi
+
+IUSE_SERVERS="dmx kdrive wayland xephyr xnest xorg xvfb"
+IUSE="${IUSE_SERVERS} debug +glamor ipv6 libressl minimal selinux systemd 
+udev unwind xcsecurity"
+
+CDEPEND=">=app-eselect/eselect-opengl-1.3.0
+       !libressl? ( dev-libs/openssl:0= )
+       libressl? ( dev-libs/libressl:0= )
+       >=x11-apps/iceauth-1.0.2
+       >=x11-apps/rgb-1.0.3
+       >=x11-apps/xauth-1.0.3
+       x11-apps/xkbcomp
+       >=x11-libs/libdrm-2.4.89
+       >=x11-libs/libpciaccess-0.12.901
+       >=x11-libs/libXau-1.0.4
+       >=x11-libs/libXdmcp-1.0.2
+       >=x11-libs/libXfont2-2.0.1
+       >=x11-libs/libxkbfile-1.0.4
+       >=x11-libs/libxshmfence-1.1
+       >=x11-libs/pixman-0.27.2
+       >=x11-libs/xtrans-1.3.5
+       >=x11-misc/xbitmaps-1.0.1
+       >=x11-misc/xkeyboard-config-2.4.1-r3
+       dmx? (
+               x11-libs/libXt
+               >=x11-libs/libdmx-1.0.99.1
+               >=x11-libs/libX11-1.1.5
+               >=x11-libs/libXaw-1.0.4
+               >=x11-libs/libXext-1.0.99.4
+               >=x11-libs/libXfixes-5.0
+               >=x11-libs/libXi-1.2.99.1
+               >=x11-libs/libXmu-1.0.3
+               x11-libs/libXrender
+               >=x11-libs/libXres-1.0.3
+               >=x11-libs/libXtst-1.0.99.2
+       )
+       glamor? (
+               media-libs/libepoxy[X]
+               >=media-libs/mesa-10.3.4-r1[egl,gbm]
+               !x11-libs/glamor
+       )
+       kdrive? (
+               >=x11-libs/libXext-1.0.5
+               x11-libs/libXv
+       )
+       xephyr? (
+               x11-libs/libxcb[xkb]
+               x11-libs/xcb-util
+               x11-libs/xcb-util-image
+               x11-libs/xcb-util-keysyms
+               x11-libs/xcb-util-renderutil
+               x11-libs/xcb-util-wm
+       )
+       !minimal? (
+               >=x11-libs/libX11-1.1.5
+               >=x11-libs/libXext-1.0.5
+               >=media-libs/mesa-10.3.4-r1
+       )
+       udev? ( virtual/libudev:= )
+       unwind? ( sys-libs/libunwind )
+       wayland? (
+               >=dev-libs/wayland-1.3.0
+               media-libs/libepoxy
+               >=dev-libs/wayland-protocols-1.1
+       )
+       >=x11-apps/xinit-1.3.3-r1
+       systemd? (
+               sys-apps/dbus
+               sys-apps/systemd
+       )"
+
+DEPEND="${CDEPEND}
+       sys-devel/flex
+       >=x11-base/xorg-proto-2018.3
+       dmx? (
+               doc? (
+                       || (
+                               www-client/links
+                               www-client/lynx
+                               www-client/w3m
+                       )
+               )
+       )"
+
+RDEPEND="${CDEPEND}
+       selinux? ( sec-policy/selinux-xserver )
+       !x11-drivers/xf86-video-modesetting
+"
+
+PDEPEND="
+       xorg? ( >=x11-base/xorg-drivers-$(get_version_component_range 1-2) )"
+
+REQUIRED_USE="!minimal? (
+               || ( ${IUSE_SERVERS} )
+       )
+       xephyr? ( kdrive )"
+
+UPSTREAMED_PATCHES=(
+)
+
+PATCHES=(
+       "${UPSTREAMED_PATCHES[@]}"
+       "${FILESDIR}"/${PN}-1.12-unloadsubmodule.patch
+       # needed for new eselect-opengl, bug #541232
+       "${FILESDIR}"/${PN}-1.18-support-multiple-Files-sections.patch
+)
+
+pkg_pretend() {
+       # older gcc is not supported
+       [[ "${MERGE_TYPE}" != "binary" && $(gcc-major-version) -lt 4 ]] && \
+               die "Sorry, but gcc earlier than 4.0 will not work for 
xorg-server."
+}
+
+pkg_setup() {
+       if use wayland && ! use glamor; then
+               ewarn "glamor is necessary for acceleration under Xwayland."
+               ewarn "Performance may be unacceptable without it."
+       fi
+}
+
+src_configure() {
+       # localstatedir is used for the log location; we need to override the 
default
+       #       from ebuild.sh
+       # sysconfdir is used for the xorg.conf location; same applies
+       # NOTE: fop is used for doc generating; and I have no idea if Gentoo
+       #       package it somewhere
+       XORG_CONFIGURE_OPTIONS=(
+               $(use_enable ipv6)
+               $(use_enable debug)
+               $(use_enable dmx)
+               $(use_enable glamor)
+               $(use_enable kdrive)
+               $(use_enable unwind libunwind)
+               $(use_enable wayland xwayland)
+               $(use_enable !minimal record)
+               $(use_enable !minimal xfree86-utils)
+               $(use_enable !minimal dri)
+               $(use_enable !minimal dri2)
+               $(use_enable !minimal glx)
+               $(use_enable xcsecurity)
+               $(use_enable xephyr)
+               $(use_enable xnest)
+               $(use_enable xorg)
+               $(use_enable xvfb)
+               $(use_enable udev config-udev)
+               $(use_with doc doxygen)
+               $(use_with doc xmlto)
+               $(use_with systemd systemd-daemon)
+               $(use_enable systemd systemd-logind)
+               $(use_enable systemd suid-wrapper)
+               $(use_enable !systemd install-setuid)
+               --enable-libdrm
+               --sysconfdir="${EPREFIX}"/etc/X11
+               --localstatedir="${EPREFIX}"/var
+               --with-fontrootdir="${EPREFIX}"/usr/share/fonts
+               --with-xkb-output="${EPREFIX}"/var/lib/xkb
+               --disable-config-hal
+               --disable-linux-acpi
+               --without-dtrace
+               --without-fop
+               --with-os-vendor=Gentoo
+               --with-sha1=libcrypto
+       )
+
+       xorg-2_src_configure
+}
+
+src_install() {
+       xorg-2_src_install
+
+       server_based_install
+
+       if ! use minimal && use xorg; then
+               # Install xorg.conf.example into docs
+               dodoc "${AUTOTOOLS_BUILD_DIR}"/hw/xfree86/xorg.conf.example
+       fi
+
+       newinitd "${FILESDIR}"/xdm-setup.initd-1 xdm-setup
+       newinitd "${FILESDIR}"/xdm.initd-11 xdm
+       newconfd "${FILESDIR}"/xdm.confd-4 xdm
+
+       # install the @x11-module-rebuild set for Portage
+       insinto /usr/share/portage/config/sets
+       newins "${FILESDIR}"/xorg-sets.conf xorg.conf
+}
+
+pkg_postinst() {
+       # sets up libGL and DRI2 symlinks if needed (ie, on a fresh install)
+       eselect opengl set xorg-x11 --use-old
+}
+
+pkg_postrm() {
+       # Get rid of module dir to ensure opengl-update works properly
+       if [[ -z ${REPLACED_BY_VERSION} && -e 
${EROOT}/usr/$(get_libdir)/xorg/modules ]]; then
+               rm -rf "${EROOT}"/usr/$(get_libdir)/xorg/modules
+       fi
+}
+
+server_based_install() {
+       if ! use xorg; then
+               rm "${ED}"/usr/share/man/man1/Xserver.1x \
+                       "${ED}"/usr/$(get_libdir)/xserver/SecurityPolicy \
+                       "${ED}"/usr/$(get_libdir)/pkgconfig/xorg-server.pc \
+                       "${ED}"/usr/share/man/man1/Xserver.1x
+       fi
+}

Reply via email to